Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Mon, 27 Mar 2023 08:08:33 +0000

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery This in regards to my order 9421714619..
I did not receive my order as committed ..
Very bad experience with max this is the second time I m facing this issue .. If I track my order it’s showing out for delivery but still by this time I didn’t receive neither a call. I don’t understand  what is the issue with delivery always .. pls assist me the same asap.. thanks https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5925250